gi-atk-2.0.28: Atk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.Atk.Interfaces.HyperlinkImpl

Contents

- Exported types
- Methods
  - getHyperlink

Description

A queryable interface which allows AtkHyperlink instances associated with an AtkObject to be obtained. AtkHyperlinkImpl corresponds to AT-SPI's Hyperlink interface, and differs from AtkHyperlink in that AtkHyperlink is an object type, rather than an interface, and thus cannot be directly queried. FTW

Synopsis

- newtype HyperlinkImpl = HyperlinkImpl (ManagedPtr HyperlinkImpl)
- class (ManagedPtrNewtype o, IsDescendantOf HyperlinkImpl o) => IsHyperlinkImpl o
- hyperlinkImplGetHyperlink :: (HasCallStack, MonadIO m, IsHyperlinkImpl a) => a -> m Hyperlink

# Exported types

newtype HyperlinkImpl Source #

Memory-managed wrapper type.

Constructors

HyperlinkImpl (ManagedPtr HyperlinkImpl) |

#### Instances

Instances details

Eq HyperlinkImpl Source # |
Instance details Defined in GI.Atk.Interfaces.HyperlinkImpl Methods (==) :: HyperlinkImpl -> HyperlinkImpl -> Bool Source # (/=) :: HyperlinkImpl -> HyperlinkImpl -> Bool Source #
BoxedPtr HyperlinkImpl Source # |
Instance details Defined in GI.Atk.Interfaces.HyperlinkImpl Methods boxedPtrCopy :: HyperlinkImpl -> IO HyperlinkImpl Source # boxedPtrFree :: HyperlinkImpl -> IO () Source #
ManagedPtrNewtype HyperlinkImpl Source # |
Instance details Defined in GI.Atk.Interfaces.HyperlinkImpl Methods toManagedPtr :: HyperlinkImpl -> ManagedPtr HyperlinkImpl Source #

class (ManagedPtrNewtype o, IsDescendantOf HyperlinkImpl o) => IsHyperlinkImpl o Source #

Type class for types which implement `HyperlinkImpl`.

#### Instances

Instances details

(ManagedPtrNewtype o, IsDescendantOf HyperlinkImpl o) => IsHyperlinkImpl o Source # |
Instance details Defined in GI.Atk.Interfaces.HyperlinkImpl

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

None.

#### Getters

getHyperlink.

#### Setters

None.

## getHyperlink

hyperlinkImplGetHyperlink Source #

Arguments

:: (HasCallStack, MonadIO m, IsHyperlinkImpl a) |
=> a | `impl`: a `Object` instance that implements AtkHyperlinkImplIface
-> m Hyperlink | Returns: an AtkHyperlink object which points to this implementing AtkObject.

Gets the hyperlink associated with this object.

Since: 1.12